<?
class TopCheckModule implements charcoal_IModule
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * モジュール名
	 */
	public function getModuleName()
	{
		return "Top Page check module";
	}

	/*
	 * モジュールを初期化する
	 */
	public function init( charcoal_Config $config )
	{
	}


	/*
	 * モジュールの処理を実行する
	 */
	public function execute( $action, charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response )
	{
		// 接続チェック
		try{
			$context->db->getDataSource()->connectDefault();
		}
		catch ( Exception $ex ){
			return "failed";
		}

		return "success";
	}
}
?>